Bug 1656530 - [RFE] Basic Alerting: Prometheus AlertManager integration
Summary: [RFE] Basic Alerting: Prometheus AlertManager integration
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: Ceph-Dashboard
Version: 4.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: rc
: 4.0
Assignee: Ernesto Puerta
QA Contact: Uday kurundwade
Bara Ancincova
URL:
Whiteboard:
Depends On:
Blocks: 1660185 1660186 1730176
TreeView+ depends on / blocked
 
Reported: 2018-12-05 17:25 UTC by Ernesto Puerta
Modified: 2020-01-31 12:45 UTC (History)
4 users (show)

Fixed In Version: ceph-14.2.4
Doc Type: Enhancement
Doc Text:
.{storage-product} Dashboard alerts {storage-product} Dashboard supports alerts based on Ceph metrics and configured thresholds. The Prometheus AlertManager configures, gathers, and triggers the alerts. The alerts are displayed in the Dashboard as a pop-up notifications in the upper-right corner. You can view details of recent alerts in *Cluster > Alerts*. You can configure the alerts only in Prometheus, but you can temporarily mute them from the Dashboard by creating "Alert Silences" in *Cluster > Silences*.
Clone Of:
: 1660185 1660186 (view as bug list)
Environment:
Last Closed: 2020-01-31 12:45:18 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Ceph Project Bug Tracker 24977 0 None None None 2018-12-05 17:25:52 UTC
Ceph Project Bug Tracker 36721 0 None None None 2018-12-05 17:25:05 UTC
Github ceph ceph pull 25309 0 'None' closed mgr/dashboard: Prometheus integration 2020-12-17 13:11:02 UTC
Red Hat Product Errata RHBA-2020:0312 0 None None None 2020-01-31 12:45:44 UTC

Description Ernesto Puerta 2018-12-05 17:25:06 UTC
Dashboard will provide alerts based on Ceph metrics and configured thresholds.

Alerts will be configured, gathered and triggered from Prometheus Alertmanager.

A summary of defined alerts coming from Cephmetrics: https://docs.google.com/spreadsheets/d/1DzsG61sTtV8LOUwsmkPEDpDPeikCZ9gVVPuI5zwlSPo/edit#gid=0

Comment 18 errata-xmlrpc 2020-01-31 12:45:18 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0312


Note You need to log in before you can comment on or make changes to this bug.